Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp.exceptions
Class RendererRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.fop.render.afp.exceptions.NestedRuntimeException
                      org.apache.fop.render.afp.exceptions.RendererRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class RendererRuntimeException
extends NestedRuntimeException

A runtime exception for handling fatal errors in rendering.

See Also:
  Serialized Form

Constructor Summary
`RendererRuntimeException(java.lang.String msg)` Constructs a RendererRuntimeException with the specified message.
`RendererRuntimeException(java.lang.String msg, java.lang.Throwable t)` Constructs a RendererRuntimeException with the specified message wrapping the underlying exception.

Methods inherited from class org.apache.fop.render.afp.exceptions.NestedRuntimeException
`getMessage, getUnderlyingException, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RendererRuntimeException

    public RendererRuntimeException(java.lang.String msg)

  Constructs a RendererRuntimeException with the specified message.

Parameters:
  `msg` - the exception mesaage

### RendererRuntimeException

    public RendererRuntimeException(java.lang.String msg,
                                    java.lang.Throwable t)

  Constructs a RendererRuntimeException with the specified message wrapping the underlying exception.

Parameters:
  `msg` - the exception mesaage
  `t` - the underlying exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.